---
output_dir: Snikket/Generated
input_dir: Snikket/Resources

xcassets:
  - inputs: Assets/Images.xcassets
    outputs:
      - templatePath: .swiftgen/templates/xcassets.stencil
        params:
          forceProvidesNamespaces: true
          enumName: Image
        output: Images+Generated.swift
  - inputs: Assets/Colors.xcassets
    outputs:
      - templatePath: .swiftgen/templates/xcassets.stencil
        params:
          forceProvidesNamespaces: true
          enumName: Color
        output: Colors+Generated.swift

strings:
  inputs: Strings/Localizable.strings
  outputs:
    # - templatePath: .templates/strings.stencil
    - templateName: structured-swift5

      output: Strings+Generated.swift
